Subject: RFC4055 : RSASSA-PSS-params

From: "Kozo FUJINO" <[email-masked]>
Date: Fri, 15 May 2009 22:47:01 +0900

Dear members,

I have a question on RSASSA-PSS-params of RFC4055.

If all the fields of RSASSA-PSS-params take default values,
RSASSA-PSS-params would be encoded as {0x30, 0x00},
I suppose. (null SEQUENCE)

Could you please tell me if my understanding was correct?

I'm confused with the definition of rSASSA-PSS-Default-Params.
If the fields take default values, implementations MUST omit them, I suppose.
But there's the definition of rSASSA-PSS-Default-Params in the RFC.

RSASSA-PSS-params  ::=  SEQUENCE  {
    hashAlgorithm      [0] HashAlgorithm DEFAULT
                             sha1Identifier,
    maskGenAlgorithm   [1] MaskGenAlgorithm DEFAULT
                             mgf1SHA1Identifier,
    saltLength         [2] INTEGER DEFAULT 20,
    trailerField       [3] INTEGER DEFAULT 1  }

rSASSA-PSS-Default-Params RSASSA-PSS-Params ::= {
        sha1Identifier, mgf1SHA1Identifier, 20, 1}

Best regards,
 kozo
--------------------------------------------------------
Kozo FUJINO (TEL: +81-82-849-2633  FAX: +81-82-849-2643)
NEC System Technologies, Ltd.
Hiroshima, Japan